#!/usr/bin/env bash


##### Message Of the Death
clear
# Gotta love ASCII art with figlet
echo -e "\033[5m"
figlet "INFO SYSTEM";
echo -e "\033[0m"
lsb_release -a
#for i in `seq 1 15` ; do spin; done ;echo -ne " ECHOSYSTEM ${NC}"; for i in `seq 1 15` ; do spin; done ;echo "";
########################################################
echo "";
echo -ne "\033[5mToday is\e[93m "; date
echo "";
echo -ne "\e[0mUp time:";uptime | awk /'up/' ;
#echo -e "\e[93m";
#######################################################
nfind ()
 {
nano -w `find . -name "$1"`
}
netinfo ()
{
#echo "--------------- Network Information ---------------"
/sbin/ifconfig | awk /'inet adr/ {print $2}'
#echo ""
/sbin/ifconfig | awk /'Bcast/ {print $3}'
#echo ""
/sbin/ifconfig | awk /'inet adr/ {print $4}'
/sbin/ifconfig | awk /'HWaddr/ {print $4,$5}'
echo ""
vnstat -s
echo""
#echo "---------------------------------------------------"
}
alias mountedinfo='df -hT'
#echo -e "\033[5m" ;
#alias mountedinfo='df -hT'
echo -e "\e[93m"; mountedinfo ;
echo -e "\e[93m";
##### echo -e "Normal \033[5mHello" echo ""\033[5m ECHOSYSTEM ${NC}\039";
#echo ""; #echo ""
#echo -e `bash --version`;echo ""
echo -e "\033[5mKernel Information: " `uname -smr`;
echo  "" ;
echo -ne "\e[0m";netinfo;
#for i in `seq 1 15` ; do spin; done ;echo -ne "${WHITE} All ok  ${NC}"; for i in `seq 1 15` ; do spin; done ;echo "";
echo -e "\033[5m ECHOSYSTEM ${NC}\e[0m"; echo ""
###############################################

